<button
  class="button is-rounded has-tooltip"
  [pTooltip]="tooltip"
  [tooltipStyleClass]="'drgstn drgstn-tooltip drgstn-tooltip-left'"
  tooltipPosition="left"
  (click)="toggle()"
  [ngClass]="{
    'is-selected': value,
    'is-small': drugstoneConfig.smallStyle
  }"
>
  <app-fa-solid-icon
    *ngIf="icon"
    [icon]="icon"
    classString="is-small"
  ></app-fa-solid-icon>

  <span [ngClass]="{ 'text-small': drugstoneConfig.smallStyle }">{{
    text
  }}</span>

  <app-fa-solid-icon
    *ngIf="value"
    [icon]="iconOn"
    classString="is-small last-item-in-button has-text-success"
  ></app-fa-solid-icon>
  <app-fa-solid-icon
    *ngIf="!value"
    [icon]="iconOff"
    classString="is-small last-item-in-button has-text-danger"
  ></app-fa-solid-icon>
</button>
